import React from 'react';
import klass from '../../cssClasses'; // Assuming cssClasses.ts is in src/

var Indicator = function Indicator(_ref) {
  var onClickHandler = _ref.onClickHandler,
    isSelected = _ref.isSelected,
    index = _ref.index,
    label = _ref.label;
  return /*#__PURE__*/React.createElement("li", {
    className: klass.DOT(isSelected),
    onClick: onClickHandler,
    onKeyDown: onClickHandler,
    value: index,
    key: index,
    role: "button",
    tabIndex: 0,
    "aria-label": "".concat(label, " ").concat(index + 1)
  });
};
export default Indicator;